Last Comment Bug 765483 - IonMonkey: Assertion failure: throwing, at jscntxt.h:1329
: IonMonkey: Assertion failure: throwing, at jscntxt.h:1329
Status: RESOLVED FIXED
[jsbugmon:update]
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: David Anderson [:dvander]
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-06-16 05:21 PDT by Christian Holler (:decoder)
Modified: 2013-02-07 05:17 PST (History)
7 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.29 KB, patch)
2012-06-28 18:54 PDT, David Anderson [:dvander]
jdemooij: review+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2012-06-16 05:21:31 PDT
The following testcase asserts on ionmonkey revision de23a9fc29db (run with --ion -n -m --ion-eager):


var obj1 = {}, obj2 = {};
obj2['b'+i] = 0;
for (var k in obj2) {
  (function g() { evalInFrame(1, "assertStackIs(['eval-code', f, 'bound(f)', 'global-code'])", true); })();
}
for (var i = 0; i != array.length; ++i)
  array[i]();
Comment 1 David Anderson [:dvander] 2012-06-28 18:54:33 PDT
Created attachment 637757 [details] [diff] [review]
fix
Comment 2 David Anderson [:dvander] 2012-07-02 15:35:50 PDT
http://hg.mozilla.org/projects/ionmonkey/rev/c646d1fda6cc
Comment 3 Christian Holler (:decoder) 2013-02-07 05:17:20 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/2e891e0db397

Note You need to log in before you can comment on or make changes to this bug.